﻿using System;
using System.ComponentModel;

namespace CodeGenerator.Mvvm.Testing.ViewModel
{
    public interface IViewModelBase : INotifyPropertyChanged, IDisposable
    {
        string DisplayName { get; }
        void Dispose();
        event PropertyChangedEventHandler PropertyChanged;

    }
}
