﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace CodeGenerator.Mvvm.ViewModelGenerator.Serialization
{
    internal class DeserializationResults
    {
        private List<DeserializationWarning> _results = new List<DeserializationWarning>();

        internal DeserializationResults()
        {

        }

        internal List<DeserializationWarning> Warnings
        {
            get
            {
                return _results;
            }
        }


        internal ViewModelGenerationOptions GenerationOptions
        {
            get;
            set;
        }

        internal Exception DeserializationException
        {
            get;
            set;
        }




        internal bool IsError
        {
            get
            {

                return Warnings.Count > 0 || DeserializationException != null;
            }

        }

    }
}
