﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace CodeGenerator.Mvvm.ViewModelGenerator.Serialization
{
    internal class DeserializationWarning
    {

        internal DeserializationWarning(string warning, uint line, uint linePosition)
        {
            this.Warning = warning;
            this.Line = line;
            this.LinePosition = linePosition;
        }

        internal DeserializationWarning(string warning, int line, int linePosition)
        {
            this.Warning = warning;
            this.Line = (uint) line;
            this.LinePosition = (uint) linePosition;
        }


        internal string Warning
        {
            private set;
            get;
        }

        internal uint Line
        {
            private set;
            get;
        }

        internal uint LinePosition
        {
            private set;
            get;
        }


    }
}
